# Class CIM_CorrespondingSettingDataRecord

CorrespondingSettingDataRecord is used to tie a log record to its corresponding setting data record.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_CorrespondingSettingDataRecord

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CorrespondingSettingDataRecord is used to tie a log record to its corresponding setting data record.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DataRecord | CIM_CorrespondingSettingDataRecord | CIM_DiagnosticRecord
SettingsRecord | CIM_CorrespondingSettingDataRecord | CIM_DiagnosticSettingDataRecord

## Class Methods